## libmpc 0.1~r459

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)
include(TestBigEndian)

project(libmpc C)

set(CMAKE_VERBOSE_MAKEFILE false)
TEST_BIG_ENDIAN(MPC_ENDIANNESS)

if(WIN32)
  option(SHARED "Use shared libmpcdec" OFF)
else(WIN32)
  option(SHARED "Use shared libmpcdec" ON)
endif(WIN32)

add_definitions(-DFAST_MATH -DCVD_FASTLOG)

if(NOT MSVC)
  set(CMAKE_C_FLAGS "-O3 -fomit-frame-pointer -pipe")
endif(NOT MSVC)

add_subdirectory(libmpcdec)
add_subdirectory(libmpcpsy)
add_subdirectory(libmpcenc)
add_subdirectory(libwavformat)
add_subdirectory(mpcgain)
add_subdirectory(mpcdec)
add_subdirectory(mpcenc)
add_subdirectory(mpc2sv8)
add_subdirectory(mpccut)
add_subdirectory(mpcchap)
add_subdirectory(wavcmp)
add_subdirectory(include)

=== libmpcdec/CMakeLists.txt ===
include_directories(${libmpc_SOURCE_DIR}/include)
if(SHARED)
  add_library(mpcdec_shared SHARED huffman mpc_decoder mpc_reader streaminfo mpc_bits_reader mpc_demux requant synth_filter ${libmpc_SOURCE_DIR}/common/crc32)
else(SHARED)
  add_library(mpcdec_static STATIC huffman mpc_decoder mpc_reader streaminfo mpc_bits_reader mpc_demux requant synth_filter ${libmpc_SOURCE_DIR}/common/crc32)
endif(SHARED)

=== libmpcenc/CMakeLists.txt ===
include_directories(${libmpc_SOURCE_DIR}/include)
add_library(mpcenc_static STATIC analy_filter bitstream encode_sv7 huffsv7 quant ${libmpc_SOURCE_DIR}/common/crc32)

=== mpc2sv8/CMakeLists.txt ===
include_directories(${libmpc_SOURCE_DIR}/include)

include_directories(${libmpc_SOURCE_DIR}/libmpcdec)
link_directories(${libmpc_BINARY_DIR}/libmpcdec)
include_directories(${libmpc_SOURCE_DIR}/libmpcenc)
link_directories(${libmpc_BINARY_DIR}/libmpcenc)

if(MSVC)
include_directories(${libmpc_SOURCE_DIR}/win32)
add_executable(mpc2sv8 mpc2sv8.c ${libmpc_SOURCE_DIR}/win32/attgetopt ${libmpc_SOURCE_DIR}/win32/basename ${libmpc_SOURCE_DIR}/win32/dirent)
endif(MSVC)

add_executable(mpc2sv8 mpc2sv8.c)

if(SHARED)
  target_link_libraries(mpc2sv8 mpcdec_shared)
else(SHARED)
  target_link_libraries(mpc2sv8 mpcdec_static)
endif(SHARED)

target_link_libraries(mpc2sv8 mpcenc_static)

if(WIN32)
target_link_libraries(mpc2sv8 winmm)
endif(WIN32)

if(NOT MSVC)
target_link_libraries(mpc2sv8 m)
endif(NOT MSVC)

if(CMAKE_SYSTEM_NAME STREQUAL OpenBSD)
target_link_libraries(mpc2sv8 ossaudio)
endif(CMAKE_SYSTEM_NAME STREQUAL OpenBSD)

install(TARGETS mpc2sv8 RUNTIME DESTINATION bin)

=== mpcchap/CMakeLists.txt ===
FIND_PATH(CUEFILE_INCLUDE_DIR cuetools/cuefile.h
	${libmpc_SOURCE_DIR}/../libcuefile/include
)

FIND_LIBRARY(CUEFILE_LIBRARY NAMES cuefile PATHS
	${CUEFILE_INCLUDE_DIR}/../src
)

include_directories(${libmpc_SOURCE_DIR}/include)
include_directories(${CUEFILE_INCLUDE_DIR})

link_directories(${libmpc_BINARY_DIR}/libmpcdec)
link_directories(${libmpc_BINARY_DIR}/libmpcenc)

add_executable(mpcchap mpcchap dictionary iniparser ${libmpc_SOURCE_DIR}/common/tags)

if(SHARED)
  target_link_libraries(mpcchap mpcdec_shared)
else(SHARED)
  target_link_libraries(mpcchap mpcdec_static)
endif(SHARED)

target_link_libraries(mpcchap mpcenc_static)
target_link_libraries(mpcchap ${CUEFILE_LIBRARY})

if(NOT MSVC)
target_link_libraries(mpcchap m)
endif(NOT MSVC)

install(TARGETS mpcchap RUNTIME DESTINATION bin)

=== mpccut/CMakeLists.txt ===
include_directories(${libmpc_SOURCE_DIR}/include)

include_directories(${libmpc_SOURCE_DIR}/libmpcdec)
link_directories(${libmpc_BINARY_DIR}/libmpcdec)
include_directories(${libmpc_SOURCE_DIR}/libmpcenc)
link_directories(${libmpc_BINARY_DIR}/libmpcenc)

if(MSVC)
include_directories(${libmpc_SOURCE_DIR}/win32)
add_executable(mpccut mpccut ${libmpc_SOURCE_DIR}/win32/attgetopt)
endif(MSVC)

add_executable(mpccut mpccut)

if(SHARED)
  target_link_libraries(mpccut mpcdec_shared)
else(SHARED)
  target_link_libraries(mpccut mpcdec_static)
endif(SHARED)

target_link_libraries(mpccut mpcenc_static)

if(NOT MSVC)
target_link_libraries(mpccut m)
endif(NOT MSVC)

install(TARGETS mpccut RUNTIME DESTINATION bin)

=== mpcdec/CMakeLists.txt ===
include_directories(${libmpc_SOURCE_DIR}/include)

include_directories(${libmpc_SOURCE_DIR}/libwavformat)
link_directories(${libmpc_BINARY_DIR}/libwavformat)
include_directories(${libmpc_SOURCE_DIR}/libmpcdec)
link_directories(${libmpc_BINARY_DIR}/libmpcdec)

if(MSVC)
include_directories(${libmpc_SOURCE_DIR}/win32)
add_executable(mpcdec mpcdec ${libmpc_SOURCE_DIR}/win32/attgetopt)
endif(MSVC)

add_executable(mpcdec mpcdec)

if(NOT MSVC)
target_link_libraries(mpcdec m)
endif(NOT MSVC)

target_link_libraries(mpcdec wavformat_static)

if(SHARED)
  target_link_libraries(mpcdec mpcdec_shared)
else(SHARED)
  target_link_libraries(mpcdec mpcdec_static)
endif(SHARED)

install(TARGETS mpcdec RUNTIME DESTINATION bin)

=== mpcenc/CMakeLists.txt ===
if(MPC_ENDIANNESS)
add_definitions(-DMPC_BIG_ENDIAN)
endif(MPC_ENDIANNESS)

include_directories(${libmpc_SOURCE_DIR}/include)
include_directories(${libmpc_SOURCE_DIR}/libmpcpsy)
include_directories(${libmpc_SOURCE_DIR}/libmpcenc)

link_directories(${libmpc_BINARY_DIR}/libmpcpsy)
link_directories(${libmpc_BINARY_DIR}/libmpcenc)

add_executable(mpcenc keyboard mpcenc pipeopen stderr ${libmpc_SOURCE_DIR}/common/tags wave_in winmsg)

target_link_libraries(mpcenc mpcpsy_static)
target_link_libraries(mpcenc mpcenc_static)

if(WIN32)
target_link_libraries(mpcenc winmm)
endif(WIN32)

if(NOT MSVC)
target_link_libraries(mpcenc m)
endif(NOT MSVC)

if(CMAKE_SYSTEM_NAME STREQUAL OpenBSD)
target_link_libraries(mpcenc ossaudio)
endif(CMAKE_SYSTEM_NAME STREQUAL OpenBSD)

install(TARGETS mpcenc RUNTIME DESTINATION bin)

=== mpcgain/CMakeLists.txt ===
FIND_PATH(REPLAY_GAIN_INCLUDE_DIR replaygain/gain_analysis.h
	/usr/include
	/usr/local/include
	${libmpc_SOURCE_DIR}/../libreplaygain/include
)

FIND_LIBRARY(REPLAY_GAIN_LIBRARY NAMES replaygain replaygain_static PATHS
	/usr/lib
	/usr/local/lib
	${libmpc_SOURCE_DIR}/../libreplaygain/bin/src/release
)

include_directories(${libmpc_SOURCE_DIR}/include)
include_directories(${REPLAY_GAIN_INCLUDE_DIR})

link_directories(${libmpc_BINARY_DIR}/libmpcdec)

add_executable(mpcgain mpcgain.c)

target_link_libraries(mpcgain ${REPLAY_GAIN_LIBRARY})

if(SHARED)
  target_link_libraries(mpcgain mpcdec_shared)
else(SHARED)
  target_link_libraries(mpcgain mpcdec_static)
endif(SHARED)

if(NOT MSVC)
target_link_libraries(mpcgain m)
endif(NOT MSVC)

install(TARGETS mpcgain RUNTIME DESTINATION bin)

=== debian/changelog ===
libmpc (2:0.1~r459-4.1build1) vivid; urgency=medium

  * No change rebuild to get debug symbols on all architectures.

 -- Brian Murray <brian@ubuntu.com>  Tue, 27 Jan 2015 08:07:59 -0800

libmpc (2:0.1~r459-4.1) unstable; urgency=low

  [ Hideki Yamane ]
  * Non-maintainer upload.
    - auto detect aclocal/automake/autoconf version (Closes: #713209)
    - include autoreconf.mk to add "config/compile" file
  * debian/control
    - add "Build-Depends: dh-autoreconf" to provide above autoreconf.mk
  * debian/patches
    - add add_subdir-objects.patch for automake

 -- Neil Williams <codehelp@debian.org>  Sat, 22 Mar 2014 14:25:56 +0000

libmpc (2:0.1~r459-4) unstable; urgency=medium

  * Team upload.
  * Bump urgency to medium as RC #665974 affects wheezy.
  * Avoid re-define mpc_uint8_t, MPC_SAMPLE_FORMAT and mpc_int16_t in
    libmpcdec/requant.h, they are defined somewhere else in the code;
    patch taken from upstream trunk. (Closes: #665974)
    Thanks to Han Boetes for the report and Fabian Greffrath for
    traging the bug.

 -- Alessio Treglia <alessio@debian.org>  Thu, 21 Jun 2012 09:37:38 +0200

libmpc (2:0.1~r459-3) unstable; urgency=low

  * Team upload.
  * Fix buildsystem to avoid FTBFS with --as-needed.
    Thanks to Stefan Potyra for the patch. (Closes: #606829)
  * Run autotools' stuff before configure to regenerate the buildsystem.
    - Drop 99_autoreconf.patch.
    - Build-Depends on gnulib, auto{conf,make} libtool.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 17 Jun 2012 21:05:37 +0200

libmpc (2:0.1~r459-2) unstable; urgency=low

  * Team upload.
  * Update maintainer information.
  * Add watch file.
  * Build for Multiarch.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 15 Feb 2012 01:11:57 +0100

libmpc (2:0.1~r459-1) unstable; urgency=low

  * New upstream SVN snapshot.
  * debian/control,
    debian/compat,
    debian/source/format,
    debian/rules:
    + Update to source format 3.0 (quilt).
    + Update to debhelper compat level 7.
    + Update Standards-Version to 3.8.4.
  * debian/patches/01_am-maintainer-mode.patch:
    + Enable automake maintainer mode.
  * debian/patches/03_mpcchap.patch,
    debian/rules:
    + Enable mpcchap tool and build it against libcue.
  * debian/patches/99_autoreconf.patch:
    + Regenerate autotools files for the above patches.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 31 May 2010 16:33:10 +0200

libmpc (2:0.1~r453-1) unstable; urgency=low

  * New upstream SVN snapshot:
    + debian/patches/01_no-mpcchap.patch:
      - Dropped, not necessary anymore.
    + debian/patches/02_link-libm.patch:
      - Updated to apply cleanly again.
  * Upload to unstable.
  * debian/control:
    + Updated Standards-Version to 3.8.3.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Oct 2009 20:08:39 +0200

libmpc (2:0.1~r444-1) experimental; urgency=low

  * New upstream SVN snapshot with some minor bugfixes.
  * debian/control:
    + Fix indention of the description (Closes: #519962).
    + Updated Standards-Version to 3.8.2.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 11 Jul 2009 12:51:53 +0200

libmpc (2:0.1~r435-2) experimental; urgency=low

  * Updating epoch and upload to experimental to give maintainers of packages
    that depend on libmpc-dev again some more time to port their applications
    to the new API.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 11 Mar 2009 06:43:23 +0100

libmpc (1:0.1~r435-1) unstable; urgency=low

  * New upstream stable release (Closes: #518116):
    + mpcchap is not built because we don't have libcuefile packaged yet.
    + debian/patches/02_link-libm.patch:
      - Updated to apply cleanly again.
    + debian/control:
      - Build depend on latest libreplaygain for the new API.
  * debian/control:
    + Update Standards-Version to 3.8.0, no additional changes needed.
  * debian/rules:
    + Update shlibs for API additions.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 04 Mar 2009 10:08:01 +0100

libmpc (1:0.1~r406-1) experimental; urgency=low

  * New upstream SVN snapshot:
    + debian/control:
      - Build depend on new enough libreplaygain-dev.
  * debian/rules:
    + Correctly set shlibs version.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 22 May 2008 11:14:53 +0200

libmpc (1:0.1~r402-1) experimental; urgency=low

  * New upstream SVN snapshot:
    + Adds some missing API to the headers.
    + Only symbols that are needed are exported.
    + debian/patches/03_crc32-internal.patch:
      - Dropped, not necessary anymore.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 25 Apr 2008 00:21:14 +0200

libmpc (1:0.1~r394-2) experimental; urgency=low

  * debian/control:
    + Wrap control fields.
    + Update maintainer to pkg-multimedia.
  * debian/patches/03_crc32-internal.patch:
    + Rename crc32() to _mpc_crc32() to avoid conflicts with other libraries
      like zlib for example.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 19 Apr 2008 23:11:33 +0200

libmpc (1:0.1~r394-1) experimental; urgency=high

  * Initial version (Closes: #472203).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Apr 2008 12:35:20 +0200

=== debian/control ===
Source: libmpc
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>,
           Jorge Salamero Sanz <bencer@cauterized.net>
Build-Depends: cdbs (>= 0.4.93~),
               debhelper (>= 9),
               gnulib,
               automake,
               autoconf,
               dh-autoreconf,
               libtool,
               pkg-config,
               libreplaygain-dev (>= 1.0~r412),
               libcue-dev
Standards-Version: 3.9.3
Homepage: http://www.musepack.net
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libmpc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libmpc.git

Package: libmpcdec6
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: MusePack decoder - library
 Musepack is an audio compression format with a strong emphasis on
 high quality. It's not lossless, but it is designed for transparency,
 so that you won't be able to hear differences between the original
 wave file and the much smaller MPC file.
 .
 It is based on the MPEG-1 Layer-2 / MP2 algorithms, but since 1997
 it has rapidly developed and vastly improved and is now at an advanced
 stage in which it contains heavily optimized and patentless code.

Package: libmpcdec-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libmpcdec6 (= ${binary:Version}),
         ${misc:Depends}
Description: MusePack decoder - development files
 Musepack is an audio compression format with a strong emphasis on
 high quality. It's not lossless, but it is designed for transparency,
 so that you won't be able to hear differences between the original
 wave file and the much smaller MPC file.
 .
 It is based on the MPEG-1 Layer-2 / MP2 algorithms, but since 1997
 it has rapidly developed and vastly improved and is now at an advanced
 stage in which it contains heavily optimized and patentless code.
 .
 This package contains the header files, static libraries
 and symbolic links that developers using libreplaygain will need.

Package: musepack-tools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: MusePack commandline utilities
 Musepack is an audio compression format with a strong emphasis on
 high quality. It's not lossless, but it is designed for transparency,
 so that you won't be able to hear differences between the original
 wave file and the much smaller MPC file.
 .
 It is based on the MPEG-1 Layer-2 / MP2 algorithms, but since 1997
 it has rapidly developed and vastly improved and is now at an advanced
 stage in which it contains heavily optimized and patentless code.
 .
 This package contains various commandline  utilities for MusePack files:
  - mpcenc (encoder)
  - mpcdec (decoder)
  - mpccut (cut MPC files without reencoding)
  - mpcgain (gain calculation)
  - mpc2sv8 (conversion to MusePack SV8 from older SV)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_ACLOCAL = $(shell dpkg -s automake | perl -nle '/^Version: (?:\d:)?(\d+\.\d+)?/ and print $$1')
DEB_AUTO_UPDATE_AUTOCONF = $(shell dpkg -s autoconf | perl -nle '/^Version: (?:\d:)?(\d+\.\d+)?/ and print $$1')
DEB_AUTO_UPDATE_AUTOMAKE = $(shell dpkg -s automake | perl -nle '/^Version: (?:\d:)?(\d+\.\d+)?/ and print $$1')
DEB_AUTO_UPDATE_AUTOHEADER = $(shell dpkg -s autoheader | perl -nle '/^Version: (?:\d:)?(\d+\.\d+)?/ and print $$1')

common-binary-post-install-arch:: list-missing

DEB_DH_MAKESHLIBS_ARGS_libmpcdec6 := -V 'libmpcdec6 (>= 1:0.1~r435)'
DEB_CONFIGURE_EXTRA_FLAGS += --enable-mpcchap
DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=3
opts="uversionmangle=s/^/0.1~r/" \
http://www.musepack.net/index.php?pg=src \
 http://files.musepack.net/source/musepack_src_r([0-9]+)\.tar\.gz

## libmpc 0.1~r475

=== debian/changelog ===
libmpc (2:0.1~r475-1) unstable; urgency=medium

  * New upstream release:
    - Contains a minor API change of removing some enum values that
      are not used anywhere in Debian.
  * debian/patches/05_visibility.patch:
    - Minor build system fix to declare HAVE_VISIBILITY.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 19 Sep 2015 20:59:38 +0200

## libmpc 0.1~r495

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)
cmake_policy(SET CMP0003 NEW)
include(TestBigEndian)

project(libmpc C)

set(CMAKE_VERBOSE_MAKEFILE false)
TEST_BIG_ENDIAN(MPC_ENDIANNESS)

# Use the standard CMake flag to drive the shared object build.
if(DEFINED BUILD_SHARED_LIBS AND NOT DEFINED SHARED)
  set(SHARED ${BUILD_SHARED_LIBS})
else()
  if(WIN32)
    option(SHARED "Use shared libmpcdec" OFF)
  else(WIN32)
    option(SHARED "Use shared libmpcdec" ON)
  endif(WIN32)
endif()

add_definitions(-DFAST_MATH -DCVD_FASTLOG)

if(NOT MSVC)
  set(CMAKE_C_FLAGS "-O3 -Wall -fomit-frame-pointer -pipe")
endif(NOT MSVC)

add_subdirectory(libmpcdec)
add_subdirectory(libmpcpsy)
add_subdirectory(libmpcenc)
add_subdirectory(libwavformat)
add_subdirectory(mpcgain)
add_subdirectory(mpcdec)
add_subdirectory(mpcenc)
add_subdirectory(mpc2sv8)
add_subdirectory(mpccut)
add_subdirectory(mpcchap)
add_subdirectory(wavcmp)

=== libmpcdec/CMakeLists.txt ===
SET(mpcdec_VERSION_MAJOR 7)
SET(mpcdec_VERSION_MINOR 0)
SET(mpcdec_VERSION_PATCH 1)

set(mpcdec_VERSION ${mpcdec_VERSION_MAJOR}.${mpcdec_VERSION_MINOR}.${mpcdec_VERSION_PATCH})

install(FILES
	${libmpc_SOURCE_DIR}/include/mpc/mpcdec.h
	${libmpc_SOURCE_DIR}/include/mpc/reader.h
	${libmpc_SOURCE_DIR}/include/mpc/streaminfo.h
	${libmpc_SOURCE_DIR}/include/mpc/mpc_types.h
	DESTINATION include/mpc COMPONENT headers)

include_directories(${libmpc_SOURCE_DIR}/include)
if(SHARED)
  add_library(mpcdec_shared SHARED huffman mpc_decoder mpc_reader streaminfo mpc_bits_reader mpc_demux requant synth_filter ${libmpc_SOURCE_DIR}/common/crc32)
  set_target_properties(mpcdec_shared PROPERTIES OUTPUT_NAME mpcdec CLEAN_DIRECT_OUTPUT 1 VERSION ${mpcdec_VERSION} SOVERSION ${mpcdec_VERSION_MAJOR})
  install(TARGETS mpcdec_shared LIBRARY DESTINATION "lib${LIB_SUFFIX}" ARCHIVE DESTINATION "lib${LIB_SUFFIX}" COMPONENT libraries)
  target_link_libraries(mpcdec_shared m)
else(SHARED)
  add_library(mpcdec_static STATIC huffman mpc_decoder mpc_reader streaminfo mpc_bits_reader mpc_demux requant synth_filter ${libmpc_SOURCE_DIR}/common/crc32)
  set_target_properties(mpcdec_static PROPERTIES OUTPUT_NAME mpcdec CLEAN_DIRECT_OUTPUT 1)
  install(TARGETS mpcdec_static LIBRARY DESTINATION "lib${LIB_SUFFIX}" ARCHIVE DESTINATION "lib${LIB_SUFFIX}" COMPONENT libraries)
  target_link_libraries(mpcdec_static m)
endif(SHARED)

=== libmpcpsy/CMakeLists.txt ===
include_directories(${libmpc_SOURCE_DIR}/include)
add_library(mpcpsy_static STATIC ans cvd fft4g fft_routines profile psy psy_tab ${libmpc_SOURCE_DIR}/common/fastmath)

=== mpccut/CMakeLists.txt ===
--- 
+++ 
@@ -10,10 +10,10 @@
 add_executable(mpccut mpccut ${libmpc_SOURCE_DIR}/win32/attgetopt)
 endif(MSVC)
 
-add_executable(mpccut mpccut)
+add_executable(mpccut mpccut.c)
 
 if(SHARED)
-  target_link_libraries(mpccut mpcdec_shared)
+  target_link_libraries(mpccut mpcdec)
 else(SHARED)
   target_link_libraries(mpccut mpcdec_static)
 endif(SHARED)

=== mpcdec/CMakeLists.txt ===
include_directories(${libmpc_SOURCE_DIR}/include)

include_directories(${libmpc_SOURCE_DIR}/libwavformat)
link_directories(${libmpc_BINARY_DIR}/libwavformat)
include_directories(${libmpc_SOURCE_DIR}/libmpcdec)
link_directories(${libmpc_BINARY_DIR}/libmpcdec)

if(MSVC)
include_directories(${libmpc_SOURCE_DIR}/win32)
add_executable(mpcdec_cmd mpcdec.c ${libmpc_SOURCE_DIR}/win32/attgetopt)
endif(MSVC)

add_executable(mpcdec_cmd mpcdec.c)

target_link_libraries(mpcdec_cmd wavformat_static)

if(SHARED)
  target_link_libraries(mpcdec_cmd mpcdec)
else(SHARED)
  target_link_libraries(mpcdec_cmd mpcdec_static)
endif(SHARED)

if(NOT MSVC)
target_link_libraries(mpcdec_cmd m)
endif(NOT MSVC)

SET_TARGET_PROPERTIES(mpcdec_cmd PROPERTIES OUTPUT_NAME "mpcdec")

install(TARGETS mpcdec_cmd RUNTIME DESTINATION bin)

=== debian/changelog ===
libmpc (2:0.1~r495-3) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Sebastian Ramacher ]
  * debian/patches: Fix build with GCC-14 (Closes: #1075188)
  * debian/control:
    - Use pkgconf
    - Bump Standards-Version
    - Bump debhelper compat to 13

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 23 Dec 2024 15:11:14 +0100

libmpc (2:0.1~r495-2) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards Versions
    - Remove obsolete Pre-Depends
    - Set RRR: no
  * debian/:
    - Bump debhelper compat to 12
    - Convert to dh

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 20 Nov 2019 20:14:42 +0100

libmpc (2:0.1~r495-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #837096)
  * debian/rules: Add get-orig-source target to fetch newer upstream
    snapshots.
  * debian/patches:
    - 02_link-libm.patch, 1001_missing_extern_kw.patch: Removed, included
      upstream.
    - 03_mpcchap.patch: Refreshed and fixed use of cue_parse_file.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 12 Sep 2016 20:34:33 +0200

libmpc (2:0.1~r475-2) unstable; urgency=medium

  * Team upload.
  * Drop all DEB_AUTO_UPDATE_* stuff and use dh-autoreconf exclusively to fix
    FTBFS. (Closes: #816529)
  * Update Vcs fields.
  * Bump standards to 3.9.8.

 -- James Cowgill <jcowgill@debian.org>  Wed, 31 Aug 2016 21:16:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,23 @@
 Source: libmpc
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Jorge Salamero Sanz <bencer@cauterized.net>
-Build-Depends: cdbs (>= 0.4.93~),
-               debhelper (>= 9),
-               gnulib,
-               automake,
-               autoconf,
-               dh-autoreconf,
-               libtool,
-               pkg-config,
-               libreplaygain-dev (>= 1.0~r412),
+Build-Depends: debhelper-compat (= 13),
+               pkgconf,
+               libreplaygain-dev,
                libcue-dev
-Standards-Version: 3.9.3
+Standards-Version: 4.7.0
 Homepage: http://www.musepack.net
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libmpc.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libmpc.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/libmpc.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/libmpc
+Rules-Requires-Root: no
 
 Package: libmpcdec6
 Architecture: any
 Multi-Arch: same
 Section: libs
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: MusePack decoder - library
@@ -75,4 +69,3 @@
   - mpccut (cut MPC files without reencoding)
   - mpcgain (gain calculation)
   - mpc2sv8 (conversion to MusePack SV8 from older SV)
-

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-mpcchap

override_dh_makeshlibs:
	dh_makeshlibs -V 'libmpcdec6 (>= 1:0.1~r435)'


REV = 495
get-orig-source:
	TMPDIR=$$(mktemp -d) && \
		svn export http://svn.musepack.net/libmpc/trunk/ -r $(REV) $$TMPDIR/musepack_src_r$(REV) && \
		tar czf musepack_src_0.1~r$(REV).tar.gz --owner 0 --group 0 -C $$TMPDIR musepack_src_r$(REV)

## libmpc 0.1.1

=== mpc2sv8/CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 
 if(MSVC)
 include_directories(${libmpc_SOURCE_DIR}/win32)
-add_executable(mpc2sv8 mpc2sv8.c ${libmpc_SOURCE_DIR}/win32/attgetopt ${libmpc_SOURCE_DIR}/win32/basename ${libmpc_SOURCE_DIR}/win32/dirent)
+add_executable(mpc2sv8 mpc2sv8.c ${libmpc_SOURCE_DIR}/win32/attgetopt.c ${libmpc_SOURCE_DIR}/win32/basename.c ${libmpc_SOURCE_DIR}/win32/dirent.c)
 endif(MSVC)
 
 add_executable(mpc2sv8 mpc2sv8.c)
 
 if(SHARED)
-  target_link_libraries(mpc2sv8 mpcdec_shared)
+  target_link_libraries(mpc2sv8 mpcdec)
 else(SHARED)
   target_link_libraries(mpc2sv8 mpcdec_static)
 endif(SHARED)

=== debian/changelog ===
libmpc (2:0.1.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 1f12f25ba908026028db2059894adf1a75900cf5']

 -- shuttle <shuttle@deepin.com>  Thu, 19 Dec 2019 20:05:47 +0000
